lm.component('lmDialogBookmarkSettings', {
	templateUrl: 'comp/dialog/lmDialogBookmarkSettings.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia) {
		var ctrl = this;

		ctrl.settings = null;
		
		ctrl.$onInit = function() {
			ctrl.settings = serviceLimboMedia.getRemoteSettings('bookmarks');
			if(ctrl.settings.colName == null) ctrl.settings.colName = true;
			if(ctrl.settings.colUrl == null) ctrl.settings.colUrl = true;
			if(ctrl.settings.colAdded == null) ctrl.settings.colAdded = false;
		};

		ctrl.saveSettings = function() {
			serviceLimboMedia.saveRemoteSettings();
		};
	}
});
