lm.component('lmDialogNoteSettings', {
	templateUrl: 'comp/dialog/lmDialogNoteSettings.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia) {
		var ctrl = this;

		ctrl.settings = null;

		ctrl.$onInit = function() {
			ctrl.settings = serviceLimboMedia.getRemoteSettings('notes');
			if(ctrl.settings.colName == null) ctrl.settings.colName = true;
			if(ctrl.settings.colAdded == null) ctrl.settings.colAdded = false;
		};

		ctrl.saveSettings = function() {
			serviceLimboMedia.saveRemoteSettings();
		};
	}
});
