lm.component('homeBoxBookmark', {
	templateUrl: 'comp/homebox/homeBoxBookmark.' + lmCacheTag + 'html',
	bindings: {
		box: '<'
	},
	controller: function($http, serviceLimboMedia) {
		var ctrl = this;
		
		ctrl.error = null;
		ctrl.items = [];

		ctrl.$onInit = function() {
			if(ctrl.box.type != 'bookmarkBox') return;
			
			$http.get(lmBase.url + 'b/items/list',{params : {lid:ctrl.box.labelID}}).then(
				function success(resp) {
					ctrl.items = resp.data;
				},
				function error(resp) {
					ctrl.error = "Error fetching bookmarks. Label has been deleted or access denied.";
				}
			);
		};
	}
});