lm.component('lmMediaControl', {
	templateUrl: 'comp/media/lmMediaControl.' + lmCacheTag + 'html',
	bindings: {
		// lmModel: '<'	// state object of serviceMediaPlayer
	},
	controller: function($scope, $element, serviceMediaPlayer) {
		var ctrl = this;
		ctrl.lmModel = serviceMediaPlayer.state;
		
		ctrl.elementBarPosition = $element[0].getElementsByClassName('barPosition')[0];
		ctrl.elementBarVolume = $element[0].getElementsByClassName('barVolume')[0];
		
		ctrl.onPositionChange = function(newPos) {
			serviceMediaPlayer.changePosition(newPos);
		};
		
		ctrl.onVolumeChange = function(newVol) {
			serviceMediaPlayer.changeVolume(newVol);
		};
		
		ctrl.onToggleFullscreen = function() {
			serviceMediaPlayer.toggleFullscreen();
		};
		
		ctrl.onPlayPause = function() {
			serviceMediaPlayer.playPause();
		};
		
		ctrl.onReset = function() {
			serviceMediaPlayer.reset();
		};
		
		ctrl.onFormatChange = function(format) {
			serviceMediaPlayer.changeFormat(format);
		};
		ctrl.onAudioStreamChange = function(as) {
			serviceMediaPlayer.changeAudioStream(as);
		};
		ctrl.onSubStreamChange = function(ss) {
			serviceMediaPlayer.changeSubStream(ss);
		};

	}
});

